Package net.shibboleth.idp.saml.saml2.profile.config.navigate

# Class ProxyRestrictionLookupFunction

java.lang.Object
net.shibboleth.profile.context.navigate.AbstractRelyingPartyLookupFunction<Pair<Integer,Set<String>>>
net.shibboleth.idp.saml.saml2.profile.config.navigate.ProxyRestrictionLookupFunction

All Implemented Interfaces:
  `Function<ProfileRequestContext,Pair<Integer,Set<String>>>`, `ContextDataLookupFunction<ProfileRequestContext,Pair<Integer,Set<String>>>`

public class ProxyRestrictionLookupFunction extends AbstractRelyingPartyLookupFunction<Pair<Integer,Set<String>>>
A function that returns the allowable proxy count and audiences to include in assertions, based on the results of lookup functions for local configuration merged with upstream proxy restrictions to compute a final result in accordance with the standard.

## Field Summary

Fields
Modifier and Type
Field
Description
`private Function<ProfileRequestContext,SubjectContext>`
`subjectContextLookupStrategy`
SubjectContext lookup strategy.

## Constructor Summary

Constructors
Constructor
Description
`ProxyRestrictionLookupFunction()`
Constructor.

## Method Summary

Modifier and Type
Method
Description
`Pair<Integer,Set<String>>`
`apply(ProfileRequestContext input)`
`void`
`setSubjectContextLookupStrategy(Function<ProfileRequestContext,SubjectContext> strategy)`
Set the lookup strategy to locate the `SubjectContext`.

### Methods inherited from class net.shibboleth.profile.context.navigate.AbstractRelyingPartyLookupFunction

`getRelyingPartyContext, getRelyingPartyContextLookupStrategy, setRelyingPartyContextLookupStrategy`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface java.util.function.Function

`andThen, compose`

## Field Details

### subjectContextLookupStrategy

@Nonnull private Function<ProfileRequestContext,SubjectContext> subjectContextLookupStrategy
SubjectContext lookup strategy.

## Constructor Details

### ProxyRestrictionLookupFunction

public ProxyRestrictionLookupFunction()
Constructor.

## Method Details

### setSubjectContextLookupStrategy

public void setSubjectContextLookupStrategy(@Nonnull Function<ProfileRequestContext,SubjectContext> strategy)
Set the lookup strategy to locate the `SubjectContext`.

Parameters:
  `strategy` - lookup strategy

### apply

@Nonnull public Pair<Integer,Set<String>> apply(@Nullable ProfileRequestContext input)